## org.jfree.report.modules.data.sql
Class StaticConnectionProvider

    java.lang.Object
      org.jfree.report.modules.data.sql.StaticConnectionProvider

All Implemented Interfaces:
  java.io.Serializable, ConnectionProvider

    public class StaticConnectionProvider

extends java.lang.Object
implements ConnectionProvider

Creation-Date: 07.04.2006, 14:54:57

Author:
  Thomas Morgner
See Also:
  Serialized Form

Constructor Summary
`StaticConnectionProvider(java.sql.Connection connection)`

Method Summary
`java.sql.Connection` `getConnection()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StaticConnectionProvider

    public StaticConnectionProvider(java.sql.Connection connection)

Method Detail

### getConnection

    public java.sql.Connection getConnection()

  Specified by:
    `getConnection` in interface `ConnectionProvider`